Debian Bug report logs - #655865
kfreebsd-kernel-headers: missing type to define 'export' field in headers breaks program compilation

version graph

Package: libc0.1-dev; Maintainer for libc0.1-dev is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc0.1-dev is src:eglibc.

Reported by: Luca Falavigna <dktrkranz@debian.org>

Date: Sat, 14 Jan 2012 12:48:01 UTC

Severity: serious

Merged with 630203

Fixed in version eglibc/2.13-25

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#655865; Package src:libpmount. (Sat, 14 Jan 2012 12:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
New Bug report received and forwarded. Copy sent to Guillem Jover <guillem@debian.org>. (Sat, 14 Jan 2012 12:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: submit@bugs.debian.org
Subject: FTBFS on kfreebsd-*: field 'export' has incomplete type
Date: Sat, 14 Jan 2012 13:44:17 +0100
Source: libpmount
Version: 0.0.14
Severity: serious
Justification: fails to build from source


libpmount fails to build from source on kfreebsd-*, but built in the past:

make[2]: Leaving directory `/build/buildd-libpmount_0.0.15-kfreebsd-amd64-vqaT4T/libpmount-0.0.15/tests'
make[1]: Leaving directory `/build/buildd-libpmount_0.0.15-kfreebsd-amd64-vqaT4T/libpmount-0.0.15'
dh_clean
 debian/rules build
dh_testdir
/usr/bin/make build \
	  CPPFLAGS="" CFLAGS="-Wall -g -O2 -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security
-Werror=format-security" LDFLAGS="-Wl,-z,relro"
make[1]: Entering directory `/build/buildd-libpmount_0.0.15-kfreebsd-amd64-vqaT4T/libpmount-0.0.15'
cc  -Wall -g -O2 -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security
-D_REENTRANT -DUSE_LOOP -fPIC -c -o src/kerndep.lo src/kerndep.c
In file included from src/kfreebsd.c:61:0,
                 from src/kerndep.c:4:
/usr/include/isofs/cd9660/cd9660_mount.h:43:22: error: field 'export' has incomplete type
make[1]: *** [src/kerndep.lo] Error 1
make[1]: Leaving directory `/build/buildd-libpmount_0.0.15-kfreebsd-amd64-vqaT4T/libpmount-0.0.15'
make: *** [build-arch] Error 2

https://buildd.debian.org/status/fetch.php?pkg=libpmount&arch=kfreebsd-amd64&ver=0.0.15&stamp=1317234188
https://buildd.debian.org/status/fetch.php?pkg=libpmount&arch=kfreebsd-i386&ver=0.0.15&stamp=1317234226




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#655865; Package src:libpmount. (Sat, 14 Jan 2012 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. (Sat, 14 Jan 2012 19:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 655865@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Luca Falavigna <dktrkranz@debian.org>, 655865@bugs.debian.org
Cc: kfreebsd-kernel-headers@packages.debian.org
Subject: Re: Bug#655865: FTBFS on kfreebsd-*: field 'export' has incomplete type
Date: Sat, 14 Jan 2012 20:17:59 +0100
reassign 655865 kfreebsd-kernel-headers
retitle 655865 kfreebsd-kernel-headers: missing type to define 'export' field in headers breaks program compilation
affects 630203 src:libpmount
forcemerge 630203 655865
thanks

Hi!

On Sat, 2012-01-14 at 13:44:17 +0100, Luca Falavigna wrote:
> Source: libpmount
> Version: 0.0.14
> Severity: serious
> Justification: fails to build from source

> libpmount fails to build from source on kfreebsd-*, but built in the past:
> 
> make[2]: Leaving directory `/build/buildd-libpmount_0.0.15-kfreebsd-amd64-vqaT4T/libpmount-0.0.15/tests'
> make[1]: Leaving directory `/build/buildd-libpmount_0.0.15-kfreebsd-amd64-vqaT4T/libpmount-0.0.15'
> dh_clean
>  debian/rules build
> dh_testdir
> /usr/bin/make build \
> 	  CPPFLAGS="" CFLAGS="-Wall -g -O2 -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security
> -Werror=format-security" LDFLAGS="-Wl,-z,relro"
> make[1]: Entering directory `/build/buildd-libpmount_0.0.15-kfreebsd-amd64-vqaT4T/libpmount-0.0.15'
> cc  -Wall -g -O2 -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security
> -D_REENTRANT -DUSE_LOOP -fPIC -c -o src/kerndep.lo src/kerndep.c
> In file included from src/kfreebsd.c:61:0,
>                  from src/kerndep.c:4:
> /usr/include/isofs/cd9660/cd9660_mount.h:43:22: error: field 'export' has incomplete type
> make[1]: *** [src/kerndep.lo] Error 1
> make[1]: Leaving directory `/build/buildd-libpmount_0.0.15-kfreebsd-amd64-vqaT4T/libpmount-0.0.15'
> make: *** [build-arch] Error 2
> 
> https://buildd.debian.org/status/fetch.php?pkg=libpmount&arch=kfreebsd-amd64&ver=0.0.15&stamp=1317234188
> https://buildd.debian.org/status/fetch.php?pkg=libpmount&arch=kfreebsd-i386&ver=0.0.15&stamp=1317234226

This is a problem with the newer kfreebsd-kernel-headers, reassigning.

regards,
guillem




Bug reassigned from package 'src:libpmount' to 'kfreebsd-kernel-headers'. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 19:21:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libpmount/0.0.14. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 19:21:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'kfreebsd-kernel-headers: missing type to define 'export' field in headers breaks program compilation' from 'FTBFS on kfreebsd-*: field 'export' has incomplete type' Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 19:21:10 GMT) Full text and rfc822 format available.

Forcibly Merged 630203 655865. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 19:21:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#655865; Package kfreebsd-kernel-headers. (Sun, 15 Jan 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 15 Jan 2012 13:45:04 GMT) Full text and rfc822 format available.

Message #23 received at 655865@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Guillem Jover <guillem@debian.org>
Cc: Luca Falavigna <dktrkranz@debian.org>, 655865@bugs.debian.org, kfreebsd-kernel-headers@packages.debian.org
Subject: Re: Bug#655865: FTBFS on kfreebsd-*: field 'export' has incomplete type
Date: Sun, 15 Jan 2012 13:41:12 +0000
El 14 de gener de 2012 19:17, Guillem Jover <guillem@debian.org> ha escrit:
> This is a problem with the newer kfreebsd-kernel-headers, reassigning.

Actually it's not.  Upstream considers that users of some headers are
responsible for satisfying their dependencies.  I don't know if
there's a rule of thumb, but the missing include in
<isofs/cd9660/cd9660_mount.h> is clearly intentional.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#655865; Package kfreebsd-kernel-headers. (Sun, 15 Jan 2012 19:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 15 Jan 2012 19:24:08 GMT) Full text and rfc822 format available.

Message #28 received at 655865@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: Luca Falavigna <dktrkranz@debian.org>, 655865@bugs.debian.org, kfreebsd-kernel-headers@packages.debian.org
Subject: Re: Bug#655865: FTBFS on kfreebsd-*: field 'export' has incomplete type
Date: Sun, 15 Jan 2012 20:20:30 +0100
On Sun, 2012-01-15 at 13:41:12 +0000, Robert Millan wrote:
> El 14 de gener de 2012 19:17, Guillem Jover <guillem@debian.org> ha escrit:
> > This is a problem with the newer kfreebsd-kernel-headers, reassigning.
> 
> Actually it's not.  Upstream considers that users of some headers are
> responsible for satisfying their dependencies.  I don't know if
> there's a rule of thumb, but the missing include in
> <isofs/cd9660/cd9660_mount.h> is clearly intentional.

Sure, the problem here though is that nowhere “struct oexport_args” is
defined. “struct export_args” is defined in <triplet>/sys/mount.h. So
I'd say either the member fields need a rename or the missing struct
needs to be reintroduced. This definitely seems to me like a problem
with kfreebsd-kernel-headers?

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#655865; Package kfreebsd-kernel-headers. (Mon, 16 Jan 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Kaduk <kaduk@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 16 Jan 2012 16:33:03 GMT) Full text and rfc822 format available.

Message #33 received at 655865@bugs.debian.org (full text, mbox):

From: Benjamin Kaduk <kaduk@MIT.EDU>
To: Guillem Jover <guillem@debian.org>
Cc: 655865@bugs.debian.org
Subject: Re: Bug#655865: FTBFS on kfreebsd-*: field 'export' has incomplete type
Date: Mon, 16 Jan 2012 11:31:27 -0500 (EST)
[Message part 1 (text/plain, inline)]
On Sun, 15 Jan 2012, Guillem Jover wrote:

> On Sun, 2012-01-15 at 13:41:12 +0000, Robert Millan wrote:
>> El 14 de gener de 2012 19:17, Guillem Jover <guillem@debian.org> ha escrit:
>>> This is a problem with the newer kfreebsd-kernel-headers, reassigning.
>>
>> Actually it's not.  Upstream considers that users of some headers are
>> responsible for satisfying their dependencies.  I don't know if
>> there's a rule of thumb, but the missing include in
>> <isofs/cd9660/cd9660_mount.h> is clearly intentional.
>
> Sure, the problem here though is that nowhere “struct oexport_args” is
> defined. “struct export_args” is defined in <triplet>/sys/mount.h. So
> I'd say either the member fields need a rename or the missing struct
> needs to be reintroduced. This definitely seems to me like a problem
> with kfreebsd-kernel-headers?

This is not entirely clear to me ... whereas upstream FreeBSD's 
sys/mount.h still has the oexport_args and my kFreeBSD devel box's 
sys/mount.h does not:
root@SUBROSIA:/tmp# dpkg -S /usr/include/sys/mount.h
libc0.1-dev: /usr/include/sys/mount.h

Indeed, kfreebsd-kernel-headers does not seem to provide any header of the 
name 'mount.h':
root@SUBROSIA:/tmp# dpkg -L kfreebsd-kernel-headers|grep mount
/usr/include/fs/cd9660/cd9660_mount.h
/usr/include/fs/hpfs/hpfsmount.h
/usr/include/fs/msdosfs/msdosfsmount.h
/usr/include/fs/ntfs/ntfsmount.h
/usr/include/fs/nwfs/nwfs_mount.h
/usr/include/fs/udf/udf_mount.h
/usr/include/nfsclient/nfsmount.h
/usr/include/ufs/ufs/ufsmount.h

I am not well-enough in-tune to development practices to know what 
relationship (if any) there is between libc and the kernel-headers, but 
perhaps it is libc that needs to be changed.

-Ben Kaduk

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#655865; Package kfreebsd-kernel-headers. (Wed, 18 Jan 2012 18:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 18 Jan 2012 18:45:09 GMT) Full text and rfc822 format available.

Message #38 received at 655865@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Guillem Jover <guillem@debian.org>
Cc: Luca Falavigna <dktrkranz@debian.org>, 655865@bugs.debian.org, 630203@bugs.debian.org, libc0.1-dev@packages.debian.org
Subject: Re: Bug#655865: FTBFS on kfreebsd-*: field 'export' has incomplete type
Date: Wed, 18 Jan 2012 18:42:56 +0000
reassign 630203 libc0.1-dev
thanks

El 15 de gener de 2012 19:20, Guillem Jover <guillem@debian.org> ha escrit:
> Sure, the problem here though is that nowhere “struct oexport_args” is
> defined. “struct export_args” is defined in <triplet>/sys/mount.h. So
> I'd say either the member fields need a rename or the missing struct
> needs to be reintroduced. This definitely seems to me like a problem
> with kfreebsd-kernel-headers?

Ah yes.  <sys/mount.h> belongs to libc0.1-dev though.

I've fixed this in glibc-bsd SVN.

-- 
Robert Millan




Bug reassigned from package 'kfreebsd-kernel-headers' to 'libc0.1-dev'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Jan 2012 18:45:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Petr Salinger <ps-guest@alioth.debian.org> to control@bugs.debian.org. (Tue, 24 Jan 2012 09:12:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Feb 2012 07:33:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:05:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.